import { get, post } from '@/api/request';

const env = import.meta.env;
const PREFIX = env.VITE_API_PREFIX_SYSTEM;

/**
 * 查询部门及负责人
 * @param params
 * @returns
 */
export const listDeptApi = (params: any) => {
  return get(`${PREFIX}dept/listDept`, params);
};

export const editDeptApi = (params: any) => {
  return post(`${PREFIX}dept/editDept`, params);
};

export const addDeptApi = (params: any) => {
  return post(`${PREFIX}dept/addDept`, params);
};

export const delDeptApi = (params: any) => {
  return post(`${PREFIX}dept/deleteDept`, params);
};
